Bug 58803 - HTTP connection is getting closed after 5 mins ( Refer to https://issues.jboss.org/browse/WFLY-5931)
Summary: HTTP connection is getting closed after 5 mins ( Refer to https://issues.jbos...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Runtime Config (show other bugs)
Version: 2.2-HEAD
Hardware: PC Linux
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2016-01-05 07:50 UTC by Rakesh Kumar
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rakesh Kumar 2016-01-05 07:50:13 UTC
HTTP connection is getting closed after 5 mins with Linux + Wildfly 9.0.1 and throws broken pipe exception after the request is processed, It works fine in windows + Wildfly 9.0.1.

I tried to increase keepalive timeout using the following alternatives.

• Update values in httpd.conf from 300 seconds to 1500 seconds
• Add KeepAliveTimeout response header in standalone.xml
• Add header in response using “response.addHeader("Keep-Alive", "timeout=180000");”
• Updated jsp to add ("Keep-Alive", "timeout=180000" ) in response header.

None of the above alternatives worked.

Error message :
2015-10-23 18:46:47,250 ERROR [default task-29] [RequestServlet] Unknown exception detected: java.io.IOException: Broken pipe
at sun.nio.ch.FileDispatcherImpl.writev0(Native Method) [rt.jar:1.7.0_45]
at sun.nio.ch.SocketDispatcher.writev(SocketDispatcher.java:51) [rt.jar:1.7.0_45]
at sun.nio.ch.IOUtil.write(IOUtil.java:148) [rt.jar:1.7.0_45]
at sun.nio.ch.SocketChannelImpl.write(SocketChannelImpl.java:524) [rt.jar:1.7.0_45]


I had reported this issue for web(undertow) https://issues.jboss.org/browse/WFLY-5931

It is resolved with comments "Undertow has no such timeout, as far as I can see this is an apache issue not a Wildfly one"
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.